Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.ri.parser
Interface XPathParserConstants

All Known Implementing Classes:
  XPathParser, XPathParserTokenManager

    public interface XPathParserConstants

Field Summary
`static int` | `AND`
`static int` | `AXIS_ANCESTOR`
`static int` | `AXIS_ANCESTOR_OR_SELF`
`static int` | `AXIS_ATTRIBUTE`
`static int` | `AXIS_CHILD`
`static int` | `AXIS_DESCENDANT`
`static int` | `AXIS_DESCENDANT_OR_SELF`
`static int` | `AXIS_FOLLOWING`
`static int` | `AXIS_FOLLOWING_SIBLING`
`static int` | `AXIS_NAMESPACE`
`static int` | `AXIS_PARENT`
`static int` | `AXIS_PRECEDING`
`static int` | `AXIS_PRECEDING_SIBLING`
`static int` | `AXIS_SELF`
`static int` | `BaseChar`
`static int` | `CombiningChar`
`static int` | `COMMENT`
`static int` | `DEFAULT`
`static int` | `Digit`
`static int` | `DIV`
`static int` | `EOF`
`static int` | `EQ`
`static int` | `Extender`
`static int` | `FUNCTION_BOOLEAN`
`static int` | `FUNCTION_CEILING`
`static int` | `FUNCTION_CONCAT`
`static int` | `FUNCTION_CONTAINS`
`static int` | `FUNCTION_COUNT`
`static int` | `FUNCTION_FALSE`
`static int` | `FUNCTION_FLOOR`
`static int` | `FUNCTION_FORMAT_NUMBER`
`static int` | `FUNCTION_ID`
`static int` | `FUNCTION_KEY`
`static int` | `FUNCTION_LANG`
`static int` | `FUNCTION_LAST`
`static int` | `FUNCTION_LOCAL_NAME`
`static int` | `FUNCTION_NAME`
`static int` | `FUNCTION_NAMESPACE_URI`
`static int` | `FUNCTION_NORMALIZE_SPACE`
`static int` | `FUNCTION_NOT`
`static int` | `FUNCTION_NULL`
`static int` | `FUNCTION_NUMBER`
`static int` | `FUNCTION_POSITION`
`static int` | `FUNCTION_ROUND`
`static int` | `FUNCTION_STARTS_WITH`
`static int` | `FUNCTION_STRING`
`static int` | `FUNCTION_STRING_LENGTH`
`static int` | `FUNCTION_SUBSTRING`
`static int` | `FUNCTION_SUBSTRING_AFTER`
`static int` | `FUNCTION_SUBSTRING_BEFORE`
`static int` | `FUNCTION_SUM`
`static int` | `FUNCTION_TRANSLATE`
`static int` | `FUNCTION_TRUE`
`static int` | `GT`
`static int` | `GTE`
`static int` | `Ideographic`
`static int` | `Letter`
`static int` | `Literal`
`static int` | `LT`
`static int` | `LTE`
`static int` | `MINUS`
`static int` | `MOD`
`static int` | `NCName`
`static int` | `NEQ`
`static int` | `NODE`
`static int` | `Number`
`static int` | `OR`
`static int` | `PI`
`static int` | `PLUS`
`static int` | `SLASH`
`static int` | `SLASHSLASH`
`static int` | `TEXT`
`static String[]` | `tokenImage`
`static int` | `UnicodeDigit`
`static int` | `UNION`
`static int` | `VARIABLE`

Field Detail

### EOF

    static final int EOF

See Also:
  Constant Field Values

### SLASH

    static final int SLASH

See Also:
  Constant Field Values

### SLASHSLASH

    static final int SLASHSLASH

See Also:
  Constant Field Values

### UNION

    static final int UNION

See Also:
  Constant Field Values

### PLUS

    static final int PLUS

See Also:
  Constant Field Values

### MINUS

    static final int MINUS

See Also:
  Constant Field Values

### EQ

    static final int EQ

See Also:
  Constant Field Values

### NEQ

    static final int NEQ

See Also:
  Constant Field Values

### LT

    static final int LT

See Also:
  Constant Field Values

### LTE

    static final int LTE

See Also:
  Constant Field Values

### GT

    static final int GT

See Also:
  Constant Field Values

### GTE

    static final int GTE

See Also:
  Constant Field Values

### VARIABLE

    static final int VARIABLE

See Also:
  Constant Field Values

### Literal

    static final int Literal

See Also:
  Constant Field Values

### Digit

    static final int Digit

See Also:
  Constant Field Values

### Number

    static final int Number

See Also:
  Constant Field Values

### Letter

    static final int Letter

See Also:
  Constant Field Values

### BaseChar

    static final int BaseChar

See Also:
  Constant Field Values

### Ideographic

    static final int Ideographic

See Also:
  Constant Field Values

### CombiningChar

    static final int CombiningChar

See Also:
  Constant Field Values

### UnicodeDigit

    static final int UnicodeDigit

See Also:
  Constant Field Values

### Extender

    static final int Extender

See Also:
  Constant Field Values

### OR

    static final int OR

See Also:
  Constant Field Values

### AND

    static final int AND

See Also:
  Constant Field Values

### MOD

    static final int MOD

See Also:
  Constant Field Values

### DIV

    static final int DIV

See Also:
  Constant Field Values

### NODE

    static final int NODE

See Also:
  Constant Field Values

### TEXT

    static final int TEXT

See Also:
  Constant Field Values

### COMMENT

    static final int COMMENT

See Also:
  Constant Field Values

### PI

    static final int PI

See Also:
  Constant Field Values

### AXIS_SELF

    static final int AXIS_SELF

See Also:
  Constant Field Values

### AXIS_CHILD

    static final int AXIS_CHILD

See Also:
  Constant Field Values

### AXIS_PARENT

    static final int AXIS_PARENT

See Also:
  Constant Field Values

### AXIS_ANCESTOR

    static final int AXIS_ANCESTOR

See Also:
  Constant Field Values

### AXIS_ATTRIBUTE

    static final int AXIS_ATTRIBUTE

See Also:
  Constant Field Values

### AXIS_NAMESPACE

    static final int AXIS_NAMESPACE

See Also:
  Constant Field Values

### AXIS_PRECEDING

    static final int AXIS_PRECEDING

See Also:
  Constant Field Values

### AXIS_FOLLOWING

    static final int AXIS_FOLLOWING

See Also:
  Constant Field Values

### AXIS_DESCENDANT

    static final int AXIS_DESCENDANT

See Also:
  Constant Field Values

### AXIS_ANCESTOR_OR_SELF

    static final int AXIS_ANCESTOR_OR_SELF

See Also:
  Constant Field Values

### AXIS_FOLLOWING_SIBLING

    static final int AXIS_FOLLOWING_SIBLING

See Also:
  Constant Field Values

### AXIS_PRECEDING_SIBLING

    static final int AXIS_PRECEDING_SIBLING

See Also:
  Constant Field Values

### AXIS_DESCENDANT_OR_SELF

    static final int AXIS_DESCENDANT_OR_SELF

See Also:
  Constant Field Values

### FUNCTION_LAST

    static final int FUNCTION_LAST

See Also:
  Constant Field Values

### FUNCTION_POSITION

    static final int FUNCTION_POSITION

See Also:
  Constant Field Values

### FUNCTION_COUNT

    static final int FUNCTION_COUNT

See Also:
  Constant Field Values

### FUNCTION_ID

    static final int FUNCTION_ID

See Also:
  Constant Field Values

### FUNCTION_KEY

    static final int FUNCTION_KEY

See Also:
  Constant Field Values

### FUNCTION_LOCAL_NAME

    static final int FUNCTION_LOCAL_NAME

See Also:
  Constant Field Values

### FUNCTION_NAMESPACE_URI

    static final int FUNCTION_NAMESPACE_URI

See Also:
  Constant Field Values

### FUNCTION_NAME

    static final int FUNCTION_NAME

See Also:
  Constant Field Values

### FUNCTION_STRING

    static final int FUNCTION_STRING

See Also:
  Constant Field Values

### FUNCTION_CONCAT

    static final int FUNCTION_CONCAT

See Also:
  Constant Field Values

### FUNCTION_STARTS_WITH

    static final int FUNCTION_STARTS_WITH

See Also:
  Constant Field Values

### FUNCTION_CONTAINS

    static final int FUNCTION_CONTAINS

See Also:
  Constant Field Values

### FUNCTION_SUBSTRING_BEFORE

    static final int FUNCTION_SUBSTRING_BEFORE

See Also:
  Constant Field Values

### FUNCTION_SUBSTRING_AFTER

    static final int FUNCTION_SUBSTRING_AFTER

See Also:
  Constant Field Values

### FUNCTION_SUBSTRING

    static final int FUNCTION_SUBSTRING

See Also:
  Constant Field Values

### FUNCTION_STRING_LENGTH

    static final int FUNCTION_STRING_LENGTH

See Also:
  Constant Field Values

### FUNCTION_NORMALIZE_SPACE

    static final int FUNCTION_NORMALIZE_SPACE

See Also:
  Constant Field Values

### FUNCTION_TRANSLATE

    static final int FUNCTION_TRANSLATE

See Also:
  Constant Field Values

### FUNCTION_BOOLEAN

    static final int FUNCTION_BOOLEAN

See Also:
  Constant Field Values

### FUNCTION_NOT

    static final int FUNCTION_NOT

See Also:
  Constant Field Values

### FUNCTION_TRUE

    static final int FUNCTION_TRUE

See Also:
  Constant Field Values

### FUNCTION_FALSE

    static final int FUNCTION_FALSE

See Also:
  Constant Field Values

### FUNCTION_NULL

    static final int FUNCTION_NULL

See Also:
  Constant Field Values

### FUNCTION_LANG

    static final int FUNCTION_LANG

See Also:
  Constant Field Values

### FUNCTION_NUMBER

    static final int FUNCTION_NUMBER

See Also:
  Constant Field Values

### FUNCTION_SUM

    static final int FUNCTION_SUM

See Also:
  Constant Field Values

### FUNCTION_FLOOR

    static final int FUNCTION_FLOOR

See Also:
  Constant Field Values

### FUNCTION_CEILING

    static final int FUNCTION_CEILING

See Also:
  Constant Field Values

### FUNCTION_ROUND

    static final int FUNCTION_ROUND

See Also:
  Constant Field Values

### FUNCTION_FORMAT_NUMBER

    static final int FUNCTION_FORMAT_NUMBER

See Also:
  Constant Field Values

### NCName

    static final int NCName

See Also:
  Constant Field Values

### DEFAULT

    static final int DEFAULT

See Also:
  Constant Field Values

### tokenImage

    static final String[] tokenImage

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.